import { defineConfig } from "vite";
import tailwindcss from "@tailwindcss/vite";

export default defineConfig({
  plugins: [tailwindcss()],
  server: {
    host: "0.0.0.0",
    allowedHosts: ["weather.the1s.de"],
    port: 7002,
    watch: { usePolling: true },
    hmr: {
      host: "weather.the1s.de",
      port: 7002,
      protocol: "wss",
    },
  },
});
